<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmSWBom Interface Members
See Also Properties Methods

Collapse All Expand All

EPDM.Interop.epdm Namespace : IEdmSWBom Interface

The following tables list the members exposed by IEdmSWBom.

# Public Properties

| Name | Description
--- | --- | ---
| IncrementNumber | Gets or sets the increment for numbering items in this BOM.
| Name | Gets or sets the name of this BOM.
| RefCfgs | Gets or sets the configurations of the document on which this BOM is based.
| RefDocID | Gets or sets the ID of the document on which this BOM is based.
| SheetName | Gets or sets the name of the sheet on which this BOM is located.
| StartNumber | Gets or sets the starting number of items in this BOM.
| TableType | Gets or sets the type of this BOM.

Top

# Public Methods

| Name | Description
--- | --- | ---
| DeleteColumn | Deletes the specified column from this BOM.
| DeleteRow | Deletes the specified row from this BOM.
| GetCell | Gets the specified cell in this BOM.
| GetColumn | Gets the specified column in this BOM.
| GetColumnsCount | Gets the number of columns in this BOM.
| GetRow | Gets the specified row in this BOM.
| GetRowsCount | Gets the number of rows in this BOM.
| InsertColumn | Inserts a column at the specified column index.
| InsertRow | Inserts a row at the specified index.

Top

# See Also

####

IEdmSWBom Interface
EPDM.Interop.epdm Namespace